[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.WMLButtonDown

Handles a LM_LBUTTONDOWN (left mouse button down) message for the control.

## Declaration

Source position: controls.pp line 1413

`protected procedure TControl.WMLButtonDown(`
`var Message: TLMLButtonDown`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

Sets MouseCapture to True when enabled in the ControlStyle property and the left mouse button is included in CaptureMouseButtons. Includes csClicked in ControlState when click events have been enabled in the ControlStyle property.

Calls the DoMouseDown method to perform the mouse button event for the control, and to signal its OnMouseDown event handler (when assigned). No mouse down actions are performed when standard events are ignored by including csNoStdEvents in the ControlStyle property.

## See also

TControl.ControlStyle |  | Contains style flags which control the features or behaviors enabled for the control.
TControl.MouseCapture |  | True when mouse messages are currently captured by this control.
TControl.CaptureMouseButtons |  | Indicates the mouse button(s) which are captured for the control.
TControl.DoMouseDown |  | Performs actions needed to handle a mouse down event for the control.
TControl.MouseDown |  | Handles a mouse down event for the control.
TControl.OnMouseDown |  | Event handler signalled when a mouse down event is handled for the control.
TMouseButton |  | Enumeration with values for logical mouse buttons.